##### basic_socket_acceptor::native_non_blocking (1 of 3 overloads)

Gets the non-blocking mode of the native acceptor implementation.

    bool native_non_blocking() const;

This function is used to retrieve the non-blocking mode of the underlying native acceptor. This mode has no effect on the behaviour of the acceptor object's synchronous operations.

###### Return Value

`true` if the underlying acceptor is in non-blocking mode and direct system calls may fail with `asio::error::would_block` (or the equivalent system error).

###### Remarks

The current non-blocking mode is cached by the acceptor object. Consequently, the return value may be incorrect if the non-blocking mode was set directly on the native acceptor.